import {
  IsBoolean,
  IsInt,
  IsNotEmpty,
  IsString,
  MaxLength,
} from 'class-validator';

export class UpdateCarritoDto {
  @IsInt()
  id_carrito: number;

  @IsBoolean()
  activo: boolean;

  @IsString()
  @IsNotEmpty()
  @MaxLength(250)
  motivo;
}
