import { Expose, Type } from 'class-transformer';
import { OperadorMinOutputDto } from '../../../operador/dto/output/operador-min.dto';
import { UsuariosOutputDto } from '../../../usuario/dto/output/usuarios.dto';

export class PrestamosEquipoOutputDto {
  @Expose()
  id_prestamo;

  @Expose()
  activo;

  @Expose()
  cancelado_operador;

  @Expose()
  cancelado_usuario;

  @Expose()
  fecha_entrega;

  @Expose()
  fecha_inicio;

  @Expose()
  hora_fin;

  @Expose()
  hora_inicio;

  @Expose()
  hora_max_recoger;

  @Expose()
  @Type(() => OperadorMinOutputDto)
  operadorEntrega;

  @Expose()
  @Type(() => OperadorMinOutputDto)
  operadorRegreso;

  @Expose()
  @Type(() => UsuariosOutputDto)
  usuario;
}
